sample5.cpp File Reference

Example: bvector<>::enumerator use. More...

`#include <iostream>`
`#include <algorithm>`
`#include "bm.h"`
`#include "bmundef.h"`
Include dependency graph for sample5.cpp:

Go to the source code of this file.

## Functions

void | Print (bm::bvector<>::size_type n)
int | main (void)

## Detailed Description

Example: bvector<>::enumerator use.

Definition in file sample5.cpp.

## Function Documentation

## main()

int main | ( | void |  | ) |

Definition at line 48 of file sample5.cpp.

References bm::bvector< Alloc >::end(), bm::bvector< Alloc >::first(), bm::bvector< Alloc >::enumerator::go_to(), Print(), and bm::bvector< Alloc >::iterator_base::valid().

## Print()

void Print | ( | bm::bvector<>::size_type | n | ) |

inline

Examples
  sample5.cpp, sample7.cpp, and sample8.cpp.

Definition at line 43 of file sample5.cpp.

Referenced by main().